f



Apache 2.0.48+Php 4.3.4+Aix 4.3.3

Hello.
I'm trying to compile this version of apache with php support on Aix
4.3.3ML11.
I use gcc 3.2.1 compiler and all seems to go right.
But when i try to access to a php page apache shows segmentation fault and
doesn't answer.

Any idea ?
Thanks.



0
jperezme1 (65)
11/12/2003 12:52:08 AM
comp.lang.php 32646 articles. 0 followers. Post Follow

0 Replies
1096 Views

Similar Articles

[PageSpeed] 16

Reply:

Similar Artilces:

Apache 2.0.48+php 4.3.4+Aix 4.3.3
Hello. I'm trying to compile this version of apache with php support on Aix 4.3.3ML11. I use gcc 3.2.1 compiler and all seems to go right. But when i try to access to a php page apache shows segmentation fault and doesn't answer. Any idea ? Thanks. > Hello. > I'm trying to compile this version of apache with php support on Aix > 4.3.3ML11. > I use gcc 3.2.1 compiler and all seems to go right. > But when i try to access to a php page apache shows segmentation fault and > doesn't answer. > > Any idea ? Does Apache also segfaults wh...

Problem updating PHP 4.3.0 DEV to PHP 4.3.3
Hi! I had Apache 2.0.47 and PHP 4.3.0 DEV running successfully on a W2k Server. For some reason, I couldn't get PHP to read XML-Attributes with the DOM XML -functions. So I thought, it would be time to update PHP to a newer version. So I simply replaces the old php-files with the new ones and of course kept the php.ini. But now, PHP doesn't work anymore. As soon as I request a page with php code, I get a "document contains no data" error after a while. (Apache's error log looks like the excerpt at the end of this message) If I install PHP5, I can't even start Apache. Does anyone have an idea, what may go wrong here? Thanks in advance, Tobias [...] [Wed Sep 24 20:46:56 2003] [debug] child.c(695): Child 3196: Worker thread 248 starting. [Wed Sep 24 20:46:56 2003] [debug] child.c(695): Child 3196: Worker thread 249 starting. [Wed Sep 24 20:47:24 2003] [notice] Parent: child process exited with status 3221225477 -- Restarting. [Wed Sep 24 20:47:25 2003] [notice] Parent: Created child process 3032 [Wed Sep 24 20:47:25 2003] [debug] mpm_winnt.c(505): Parent: Sent the scoreboard to the child [Wed Sep 24 20:47:25 2003] [notice] Child 3032: Child process is running [Wed Sep 24 20:47:25 2003] [info] Parent: Duplicating socket 220 and sending it to child process 3032 [Wed Sep 24 20:47:25 2003] [debug] mpm_winnt.c(426): Child 3032: Retrieved our scoreboard from the parent. [Wed Sep 24 20:47:25 2003] [debug] mpm_winnt.c(623): Parent: Sent 1 listeners to chi...

Apache 2.0.48 and PHP 4.3.4 on AIX
Anyone has this configuration running on Aix ? I have compiled all, and seems to go right, but i get segmentation fault errors but i don't see a core file. -- ---------------------------------------------------------- Tu portal de Aix en Espa�ol http://aixpanish.com ---------------------------------------------------------- ...

Apache 2.0.4.6 (Win) PHP 4.3.4.4
Hello there, We have PHP ver 4.3.4.4 working off Apache server version 2.0.4.6. My developer has developed a bunch of basic web pages which interact with the SQL Server 2000. We exposed the web application to the outside world though port 80 and the server crashed all of a sudden the very next day. Are there any security vulneribities with PHP ver 4.3.4.4 and Apache server version 2.0.4.6.which I need to be aware off. My developer is reluctant to upgrade the server to new version of apache and php. Any suggestion, help or pointer in the right direction will be appreciated. Thanks, anup...

Apache 2.0.4.6 (Win) PHP 4.3.4.4
Hello there, We have PHP ver 4.3.4.4 working off Apache server version 2.0.4.6. My developer has developed a bunch of basic web pages which interact with the SQL Server 2000. We exposed the web application to the outside world though port 80 and the server crashed all of a sudden the very next day. Are there any security vulneribities with PHP ver 4.3.4.4 and Apache server version 2.0.4.6.which I need to be aware off. My developer is reluctant to upgrade the server to new version of apache and php. Any suggestion, help or pointer in the right direction will be appreciated. Thanks, anup...

Apache 2.0.48 & php 4.3.4 & AIX
Anyone has working apache 2.0.48 & php 4.3.4 on Aix? In afirmative case could you tell me what configure parameters has you used ? Thanks. ...

Upgrading from PHP 4.2.3 to 4.3.4 consequences ?
Hi, Where can I find informations about consequences of upgrading from PHP 4.2.3 to 4.3 regarding existing PHP applications ? I have lots of existing PHP (4.2.3) scripts, will everything still work if I upgrade PHP to 4.3 ? What changes have to be done ? (Solaris 8, Apache 1.3.28, Oracle 8.1.9.3) Thanks, Seb "S. Crespel" wrote: > > Hi, > > Where can I find informations about consequences of upgrading from PHP > 4.2.3 to 4.3 regarding existing PHP applications ? > > I have lots of existing PHP (4.2.3) scripts, will everything still work > if I upgrade PHP to 4.3 ? What changes have to be done ? > > (Solaris 8, Apache 1.3.28, Oracle 8.1.9.3) You could search php.net for the changelogs, for starters. Regards, Shawn -- Shawn Wilson shawn@glassgiant.com http://www.glassgiant.com I have a spam filter. Please include "PHP" in the subject line to ensure I'll get your message. Hi, I read them, not very digest and not very usefull. I'd like something more convenient. I've heard somrthing about function parameter problems, object's constructors and destructors, aso .. Of course I'll build a test pateform but I need to have an idea of how much time it will take. Not a clue ? Nowhere ? I did find nothing in php.net nor easily with google. Thanks, Seb "Shawn Wilson" <shawn@glassgiant.com> a �crit dans le message de news: 40055CE1.44A9C675@glassgiant.com... > "S. Cres...

Apache 2.0.48 and PHP 4.3.4?
Hi, I'm currently running Apache 1.3.27 on Debian Woody with a PHP backport (version 4.3.4), together with Apache-SSL 1.3.27. I have been considering upgrading to Apache 2.0.48 which I now believe is recommended for production. However what is the status of the interoperability with PHP? I have read on the PHP site that it is not recommended to run Apache 2.0 with PHP but does this refer to the latest revisions or the initial release? I would appreciate anybody's thoughts. Many thanks in advance, MB php is supported with apache2 as of 4.2.0 Personally, I'm using 2.0.48 with 4.3.4 just fine. -Ian Matthew Bates wrote: > Hi, > > I'm currently running Apache 1.3.27 on Debian Woody with a PHP > backport (version 4.3.4), together with Apache-SSL 1.3.27. > > I have been considering upgrading to Apache 2.0.48 which I now > believe is recommended for production. However what is the status of > the interoperability with PHP? I have read on the PHP site that it > is not recommended to run Apache 2.0 with PHP but does this refer to > the latest revisions or the initial release? > > I would appreciate anybody's thoughts. > > Many thanks in advance, > > MB If you compile Apache2 for perfork (default) it work fine with PHP4, but if you compile Apache2 for MPM Perchild (if you need user to run process as user and multithread), it doesn't work very well with PHP... Savut "Matthew Bates" <ma...

Apache 2.0.48, PHP 4.3.4 not working.
I have my own website being hosted, but its very hard to write code, upload it, test it, fix it, rinse and repeat. So I downloaded Apache 2.0.48, and PHP 4.3.4 I have it up and running, but first I couldnt get it to load a PHP page like it does for an html page (IE. index.php) I have read all the install files, visited both Apache and PHP's websites, and still cant get it to work. First I would get a directory dump if I went to a page that had an index.php file in it, then after finagaling with the .conf file I finaly got it to send the .php page, but now it keeps trying to download...

PHPBB2, PHP 4.3.4, MySQL 4.1.1, Apache 2.0.49, Fedora 2
My combination is: PHPBB2, PHP 4.3.4, MySQL 4.1.1, Apache 2.0.49, Fedora 2 Anyone out there has a successful combination of newer versions ? fr gr Erik ...

AIX 4.3.3. install reverts to 4.3.2 ???
Hi After doing a fresh install of AIX 4.3.3, oslevel actually reports the version as 4.3.3 . After loading some of the prereqs for C for AIX 6, oslevel reports the version as 4.3.2 . Has anyone ran into this? Thanks, Jeffrey After a little more searching I found the there is a PTF file to address this problem. thanks On Wed, 24 Dec 2003 02:23:24 -0500, Jeff Christensen <jeffreyc@sympatico.ca> wrote: >Hi > > After doing a fresh install of AIX 4.3.3, oslevel actually >reports the version as 4.3.3 . After loading some of the prereqs for >C for AIX 6, osle...

PGSQL 7.4.8 PHP 4.3.4 & Apache 2.0.49 Segmentation Fault with Client Certs
Hello, Having an issue that is specific to PHP compiled with PGSQL support with versions noted in subject line. I understand that there are many variables to consider here but believe I have narrowed down the Apache Client Cert failures to my PHP/PGSQL build. 1. Apache PHP without PGSQL works as expected using client certificates 2. Apache PHP with PGSQL works fine with standard SSL connections 3 Apache PHP with PGSQL fails with client certificates - no output other than Segmentation faults in the apache error logs as follows: [Wed Nov 30 23:26:57 2005] [notice] suEXEC mechanism enabled (wrapper: /usr/sbin/suexec2) [Wed Nov 30 23:26:58 2005] [notice] Apache configured -- resuming normal operations [Wed Nov 30 23:27:05 2005] [notice] child pid 4065 exit signal Segmentation fault (11) [Wed Nov 30 23:27:06 2005] [notice] child pid 4066 exit signal Segmentation fault (11) I also performed same tests on another instance of Apache/PHP/PGSQL which was version 2.0.54 of apache and PHP/PGSQL versions same as subject line with same exact results. Any ideas as to the source of this problem and suggestions for tests/fixes are greatly appreciated. There are no errors in any of the logs other than what I have included so it's very difficult to see what is wrong. All I know for sure is that I am able to reproduce the results on more than one machine. The switch that kills everthing is turning SSLVerifyClient require SSLVerifyDepth 1 on in the apache config...

apache 1.3.27 and php 4.3.4
Hello, I have a very urgent problem! The situation is i have an rh 7.1 box, i know it's not mine though, that has apache 1.3.27 on it in the form of what i presume is an rpm, it's actually on a vps system. Apache was built with dso support as well as php4 which was also installed, then mhash was to be added. A source version of php4.3.4 was downloaded and installed with mhash support, and now not only does this not work, but apache is no longer processing php pages! In the httpd.conf file there are references to if defined php, php3, and php4, and the index line has index.php and index.php3 and other variants as pages, and AddHandlers are also in for php, but whenever a page is pulled up php code is displayed. Any suggestions appreciated! Thanks. Dave. Hi dave, [...] > support, and now not only does this not work, but apache is no longer > processing php pages! In the httpd.conf file there are references to if > defined php, php3, and php4, and the index line has index.php and index.php3 > and other variants as pages, and AddHandlers are also in for php, but > whenever a page is pulled up php code is displayed. > Any suggestions appreciated! This sounds to me that you have to start Apache with httpd -D PHP4 ? As you mentioned before Isn't there any start script to do the right way? Kind regards. Karl Heinz -- Dipl.Ing.(FH) Karl Heinz Marbaise | www.marbaise.org Jabba Dabba Dooh ;-) | ICQ# 135949029 ...

Updates to sysback 4.2.1.4 on AIX 4.3.3?
Having had a mksysb transfer of a system fail I need to build a 4.3.3 from the ground up on a p660 with a number of software products installed. I have a licensed and installed copy of sysback.rte 4.2.1.4 installed on the "new" box but have issues with this. IBM, sometime in since the release of this software image more than four years ago appear to have superceeded the product with Tivoli storage manager, which sysback became a module of. I am trying to find a sysback.rte 4.2.1.35 or later (preferably later). Can anyone provide a link to a suitable update? TIA Ian On 28 Jul 2...

Weird dates from mssql (4.2.3 / 4.4.0-3)
Hi SQL Server 2000 Database: Table: Thing Columns: id (int), nameOfThing (int), dateOfThing (datetime) I put some data in it: 1, dave, 9/11/1973 14:33:22 2, bill, 12/6/1980 13:23:33 Then I run a query from PHP4.4.0-3 (on Ubuntu) from Apache2. <?php $db_server = "192.168.1.123"; $model_connection = mssql_connect ($db_server, "user", "password"); mssql_select_db ("davetest", $model_connection); $sql = "select dateOfThing from Thing where id = 1"; $result = mssql_query($sql, $model_connection); $myarray = mssql_fetch_row ($result); print_r($myarray); ?> Result is this: Array ( [0] => Tue Sep 11 00:00:00 1973 ) When I really want: 9/11/1973 14:33:22 I thought I'd fixxed it with the php.ini line: mssql.datetimeconvert = Off However it still returns the same 'converted' datetime. I have restarted Apache and restarted the machine. I have made sure this is the correct php.ini file I'm editing too. Summary On our production box which is running PHP4.2.3 I get: PHP4.2.3 - Sep 11 1973 2:33PM (notice it is even chopping off seconds) PHP4.4.0-3 - Tue Sep 11 14:33:22 1973 How to turn off this date conversion / formatting? Cheers Dave. More info: sajuks on experts-exchange.com kindly suggested: echo date("m/d/Y h:i:s", strtotime($row['dateOfThing']))."<br>"; which wil work.. however we've got a lot of legacy code which will need fixxing (groan).. so ...

Newbie question; why (cons (list 1 2) (list 3 4)) is ((1 2) 3 4) and not ((1 2) (3 4))
Hi, I just started to learn LISP, and stumbled in SICP upon (cons (list 1 2) (list 3 4)) is evaluated to ((1 2) 3 4) I do not understand why this is not: ((1 2) (3 4)) because (cdr (cons (list 1 2) (list 3 4))) is (3 4) and (car (cons (list 1 2) (list 3 4))) is (1 2) Is there a logical explanation? Thank you for your patience. -- Greg Out of order, gregor <gregor@ediwo.com> writes: > Is there a logical explanation? Yes. > I just started to learn LISP, and stumbled in SICP upon But first, let's talk about LISP, Lisp, Scheme and Common Lisp. LISP is the name of the programming language invented in 1959 by John McCarthy and of the first program implementing it written amongst other by Steve Russel, one of his students. LISP 1.5 is a segueing version of that same program dating about 1962 that had some distribution. Then various lisp languages were developed at various places by various teams. Names such as MacLisp, InterLisp, LeLisp, StandardLisp, vLisp, Lisp Machine Lisp, Scheme, GNU Emacs Lisp, etc. It was quite a mess, and people had a hard time sharing programs. So they talked and designed and wrote and voted and produced the ANSI Common Lisp standard (in the USA), meanwhile in Europe they produced the ISO Lisp standard. Nowadays, almost all the other lisps are "dead", with only scheme (current version r5rs, r7r...

Why The Script Ran on PHP 4.2.3, but not 4.2.4
What is the big change from 4.2.4 from 4.2.3? I have many scripts not runing now. The scripts are working fine in PHP 3.x While, it should be 4.2.3 and 4.3.4 Why scripts running fine in 4.2.3 do not run in 4.3.4? > What is the big change from 4.2.4 from 4.2.3? I have many scripts not runing > now. The scripts are working fine in PHP 3.x > > On Sat, 10 Apr 2004 03:28:38 +0000, Finding Best Hosting wrote: > What is the big change from 4.2.4 from 4.2.3? I have many scripts not > runing now. The scripts are working fine in PHP 3.x 4.2.3 - Working ??? 4.2.4 - Not working ??? The obvious reason is related to register_globals, (major change as of 4.2.0), but this is pure guesswork, caused by your failure to provide accurate information of the errors experienced. -- mvh/regards Joachim M�land If everything seems under control, you're just not going fast enough. -Mario Andretti ...

Mysql 4.1.0 & PHP 4.3.3
Hello, I'm trying to set up a local WAMP environment. But when I test to connect to mysql from PHP(4.3.3) I get an error: 'Client does not support authentication protocol requested by server. Consider upgrading MySQL client ' Does anyone know if it exists any PHP connection support for Mysql 4.1.0 or do I have to downgrade mysql? erzon <erx@k.q> wrote: > I'm trying to set up a local WAMP environment. But when I test to > connect to mysql from PHP(4.3.3) I get an error: > > 'Client does not support authentication protocol requested by > server. Consider upgrading MySQL client ' > > Does anyone know if it exists any PHP connection support for Mysql 4.1.0 > or do I have to downgrade mysql? Hi, Make sure you start the MySQL server with: --old-passwords Background: http://www.mysql.com/doc/en/Password_hashing.html HTH; JOn ...

Is there a g++ 3.4.3 (or better) binary available for AIX 4.3.3 ?
Have tried compiling gcc/g++ 3.4.3 from the UCLA Web site but after resolving several problems got stuck in building libstdc++.a: Assembler: /tmp//ccYxSLZd.s: line 4674: .set operand undefined or forward reference /tmp//ccYxSLZd.s: line 4675: .set operand undefined or forward reference /tmp//ccYxSLZd.s: line 4705: .set operand undefined or forward reference Any suggestions? TIA Jeffrey j3 wrote: > Have tried compiling gcc/g++ 3.4.3 from the UCLA Web site but after > resolving several problems got stuck in building libstdc++.a: > Assembler: > /tmp//ccYxSLZd...

[0 0 1 1 2 2 3 3 4 4 ... n n]
Is there a way to achieve a vector like the one below without using loops? [0 0 1 1 2 2 3 3 4 4 ... n n] "Ulrik Nash" <uwn@sam.sdu.dk> wrote in message <kp999d$a8e$1@newscl01ah.mathworks.com>... > Is there a way to achieve a vector like the one below without using loops? > > [0 0 1 1 2 2 3 3 4 4 ... n n] You could try this: floor(0:1/rep:n+1-1/rep) where rep is the number of repetitions (2 in your case) Hi, a cool way to do that is using the kronecker product kron(0:n,[1 1]); "Ulrik Nash" <uwn@sam.sdu.dk> wrote in message <kp999d$a8e$1@newscl01ah.mathworks.com>... > Is there a way to achieve a vector like the one below without using loops? > > [0 0 1 1 2 2 3 3 4 4 ... n n] There is another way to achieve that. Do this like the following: >> n=7; u(1:2:2*n+1)=0:n; >> u(2:2:2*n+2)=0:n; The array u seems to be what you want. ...

difference between 4.2.3 and 4.3.0
I have a vended product that behaves differently under PHP 4.2.3 than it does under 4.3.0. With 4.3.0, I get the error: Fatal error: Cannot redeclare <function> in <file> on line <line> Everything I've found indicates that 4.3 will give an error if there is a duplicate function when 4.2 would not, and the fix is to remove one of the declarations of the function (and when I do so, the product appears to work). However, I am uncertain if the vendor will support a modified version of their code, so my question is, is there an option to PHP that will give 4.2 behavior in a 4.3 release, compile time, in php.ini, or something else? thanks, john. -- "Oh, to be in England now that April's there" --RB My opinions are mine. All mine. Replete with very me. ...

Perl5.8.6 AIX 4.3.3 VAC4.4.0.3
Perl: 5.8.6 OS: AIX4.3.3 ML11 Compiler: vac.C 4.4.0.3 I'm wanting to compile 5.8.6 w/ thread support. I'm failing on in make test on ext/threads/t/libc.t. If I run it directly I get this: 1..11 ok 1 not ok 2 # not a safe localtime not ok 3 # not a safe localtime not ok 4 # not a safe localtime not ok 5 # not a safe localtime ok 6 not ok 7 # not a safe localtime not ok 8 # not a safe localtime not ok 9 # not a safe localtime not ok 10 # not a safe localtime ok 11 I noticed it will fail different ones each time I run it. I was compiling with AIX default except enabling thread support ...

Apache 2.2.3 PHP 4.4.5 Install Fails
Sigh. I have Apache 2.2.3 installed and running on WinXP Pro SP2. I installed PHP 4.4.5 and added the following lines in httpd.conf PHPIniDir C:/PHP445/ LoadModule php4_module C:/PHP445/php4apache2.dll When I restarted Apache, i got this error: The Apache service reported the following error: >>> httpd.exe: Syntax error on line 488 of C:/Program Files/Apache Software Foundation/Apache2.2/conf/httpd.conf: Cannot load C:/PHP445/php4apache2.dll into server: The specified module could not be found. Turns out that php4apache2.dll requires libapr.dll, libaprutil.dll and libapriconv.dll to load. These are Apache dlls and are supposed to be present in Apache2.2\bin folder. I did not find these dlls here. I re-installed Apache 2.2.3 but the above mentioned libapr* dlls did not get installed. What else can I try? Interestingly, php5apache2_2.dll from PHP 5.2 is not dependent on above mentioned libapr* dlls and PHP 5.2 loads correctly. I must use PHP 4.* however. Thanks ...

Apache 2.0.50 php 4.3.8 Aix 5.2
I have apache 2 already installed and working. aixstar root /usr/httpd/bin > ./httpd -l Compiled in modules: core.c mod_access.c mod_auth.c mod_include.c mod_log_config.c mod_env.c mod_setenvif.c prefork.c http_core.c mod_mime.c mod_status.c mod_autoindex.c mod_asis.c mod_cgi.c mod_negotiation.c mod_dir.c mod_imap.c mod_actions.c mod_userdir.c mod_alias.c mod_so.c ../configure --with-apxs2=/usr/httpd/bin/apxs --with-oci8=/ora01/app/oracle/product/9.2.0.1.0 --enable-ftp --enable-sigchild --disable-libxml Works fine, without displaying any errors. m...

Web resources about - Apache 2.0.48+Php 4.3.4+Aix 4.3.3 - comp.lang.php

Apache Wars - Wikipedia, the free encyclopedia
This article is about the Apache-US Wars. For other Mexican-Apache wars, see Apache-Mexico Wars . For other wars involving the Apache, see Apache ...

Default settings in Apache may decloak Tor hidden services
World's most widely used Web server often displays geographic locations of Tor sites.

Apache CEO: We expect $35 oil
Oil experts joined CNBC to discuss the crude market, prices and a potential catalyst not priced in the market, yet.

5 things to know about Hadoop v. Apache Spark
Listen in on any conversation about big data, and you'll probably hear mention of Hadoop or Apache Spark. Here's a brief look at what they do ...

WATCH: Apache Gunner Wipes Out Six Terrorists With A Single, Precision Strike
WATCH: Apache Gunner Wipes Out Six Terrorists With A Single, Precision Strike

Spotlight on green news & views: More on hottest February; saving Apaches' Oak Flat
Spotlight on Green News & Views (previously known as the Green Diary Rescue) appears twice a week, on Wednesdays and Saturdays. Here is the most ...

IBM's SystemML Moves Forward as Apache Incubator Project
SystemML, a machine learning algorithm translator from IBM Research, has been accepted as an Apache incubator project.

At $30 Oil, Apache Corporation is Throwing in the Towel
The oil and gas company joins a growing list of large oil companies that won’t be growing their production in 2016. Image Source: Apache Corporation. ...

Performance Tuning Apache Storm at Keen IO
... of posts. Today, I'll describe how we're working to guarantee consistent performance in a multi-tenant environment built on top of Apache Storm. ...

Did Remix OS violate the GPL and Apache licenses?
In today's open source roundup: Controversy rages around possible license violations by the developers of Remix OS. Plus: 4 questions to ask ...

Resources last updated: 3/24/2016 6:03:50 AM